package com.bonus.canteen.core.menuai.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel(
   value = "MenuDishesAiConfig对象",
   description = ""
)
public class MenuDishesAiConfigDTO implements Serializable {
   private static final long serialVersionUID = 1L;
   private Long dishesId;
   @ApiModelProperty("训练图数量")
   private Integer trainCount = 15;
   @ApiModelProperty("识别图")
   private Integer identifyCount = 200;

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getTrainCount() {
      return this.trainCount;
   }

   public Integer getIdentifyCount() {
      return this.identifyCount;
   }

   public MenuDishesAiConfigDTO setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
      return this;
   }

   public MenuDishesAiConfigDTO setTrainCount(final Integer trainCount) {
      this.trainCount = trainCount;
      return this;
   }

   public MenuDishesAiConfigDTO setIdentifyCount(final Integer identifyCount) {
      this.identifyCount = identifyCount;
      return this;
   }
}
